Bug 1395620 - TypeError: Argument 1 does not allow None as a value
Summary: TypeError: Argument 1 does not allow None as a value
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Blivet Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5e6cebd50abe8320f15291c6434...
Keywords: CommonBugs
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-16 10:05 UTC by lnie
Modified: 2017-12-12 10:31 UTC (History)
10 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:31:26 UTC


Attachments (Terms of Use)
File: anaconda-tb (354.12 KB, text/plain)
2016-11-16 10:06 UTC, lnie
no flags Details
File: anaconda.log (15.09 KB, text/plain)
2016-11-16 10:06 UTC, lnie
no flags Details
File: environ (508 bytes, text/plain)
2016-11-16 10:06 UTC, lnie
no flags Details
File: journalctl (168.57 KB, text/plain)
2016-11-16 10:07 UTC, lnie
no flags Details
File: lsblk_output (1.24 KB, text/plain)
2016-11-16 10:07 UTC, lnie
no flags Details
File: nmcli_dev_list (1.20 KB, text/plain)
2016-11-16 10:07 UTC, lnie
no flags Details
File: os_info (518 bytes, text/plain)
2016-11-16 10:07 UTC, lnie
no flags Details
File: program.log (20.86 KB, text/plain)
2016-11-16 10:07 UTC, lnie
no flags Details
File: storage.log (69.13 KB, text/plain)
2016-11-16 10:07 UTC, lnie
no flags Details
File: ifcfg.log (2.41 KB, text/plain)
2016-11-16 10:07 UTC, lnie
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1429132 None ASSIGNED blivet.safe_dbus.DBusCallError: Failed to call Introspect method on /org/freedesktop/UDisks2/Manager with None arguments... 2019-04-09 08:06 UTC

Internal Trackers: 1429132

Description lnie 2016-11-16 10:05:39 UTC
Description of problem:
Just click "Add iSCSI Target",and I only see this with workstation live but not workstation netinst

Version-Release number of selected component:
anaconda-core-25.20.8-1.fc25.x86_64

The following was filed automatically by anaconda:
anaconda 25.20.8-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.5/site-packages/pyanaconda/ui/gui/spokes/advstorage/iscsi.py", line 172, in refresh
    self._initiatorEntry.set_text(self.iscsi.initiator)
  File "/usr/lib64/python3.5/site-packages/pyanaconda/ui/gui/spokes/filter.py", line 661, in on_add_iscsi_clicked
    dialog.refresh()
TypeError: Argument 1 does not allow None as a value

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-base
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img root=live:CDLABEL=Fedora-WS-Live-25-1-3 rd.live.image rd.live.check quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.8.6-300.fc25.x86_64
other involved packages: anaconda-gui-25.20.8-1.fc25.x86_64
product:        Fedora
release:        Fedora release 25 (Twenty Five)
type:           anaconda
version:        25

Comment 1 lnie 2016-11-16 10:06:41 UTC
Created attachment 1221086 [details]
File: anaconda-tb

Comment 2 lnie 2016-11-16 10:06:43 UTC
Created attachment 1221087 [details]
File: anaconda.log

Comment 3 lnie 2016-11-16 10:06:45 UTC
Created attachment 1221088 [details]
File: environ

Comment 4 lnie 2016-11-16 10:07:10 UTC
Created attachment 1221089 [details]
File: journalctl

Comment 5 lnie 2016-11-16 10:07:11 UTC
Created attachment 1221090 [details]
File: lsblk_output

Comment 6 lnie 2016-11-16 10:07:13 UTC
Created attachment 1221091 [details]
File: nmcli_dev_list

Comment 7 lnie 2016-11-16 10:07:14 UTC
Created attachment 1221092 [details]
File: os_info

Comment 8 lnie 2016-11-16 10:07:17 UTC
Created attachment 1221093 [details]
File: program.log

Comment 9 lnie 2016-11-16 10:07:28 UTC
Created attachment 1221094 [details]
File: storage.log

Comment 10 lnie 2016-11-16 10:07:30 UTC
Created attachment 1221095 [details]
File: ifcfg.log

Comment 11 Radek Vykydal 2016-11-23 08:52:50 UTC
This can be worked around by installing storaged-iscsi to the live environment.

Either Live WS spin-kickstart should be updated or rather anaconda should depend on the storaged-iscsi (for blivet this package is optional).

Comment 12 Radek Vykydal 2016-11-23 08:57:30 UTC
It is not possible to add iSCSI disk when installing the system from F25 Workstation Live DVD. Installer will crash with the traceback after hitting "Add iSCSI target".

To workaround the issue, install storaged-iscsi to the live environment before installing.

Comment 13 Radek Vykydal 2016-11-24 15:06:31 UTC
(In reply to Radek Vykydal from comment #11)
> This can be worked around by installing storaged-iscsi to the live
> environment.
> 
> Either Live WS spin-kickstart should be updated or rather anaconda should
> depend on the storaged-iscsi (for blivet this package is optional).

Or better reassigning to blivet to work-out handling the dependencies in a sane way.

Comment 14 Adam Williamson 2017-04-05 01:00:58 UTC
Hum, so this looks a lot like https://bugzilla.redhat.com/show_bug.cgi?id=1429132 , doesn't it? We really do need to come up with a way to make sure the appropriate packages make all our official deliverables, just relying on every deliverable maintainer to list the appropriate packages in comps/kickstarts is not going to work.

Comment 15 Adam Williamson 2017-04-05 01:05:56 UTC
For the record, it looks like the patch mentioned in https://bugzilla.redhat.com/show_bug.cgi?id=1429132#c14 is applied to Fedora 26, so the live installer doesn't offer the ability to add an iSCSI target and crash when you try to use it; it just doesn't offer the ability.

Comment 16 Fedora End Of Life 2017-11-16 19:18:43 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2017-12-12 10:31:26 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.